KParts::PartBase class Reference (kparts Library)

| # kparts Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KParts::PartBase Class Reference

Base class for all parts. Base class for all parts. More...

`#include <part.h>`

Inheritance diagram for KParts::PartBase:

[legend]
Collaboration diagram for KParts::PartBase:

[legend]
List of all members.

## Public Member Functions
| PartBase ()
| Constructor.
virtual | ~PartBase ()
| Destructor.
void | setPartObject (QObject *object)
| Internal method.
QObject * | partObject () const
## Protected Types
enum | PluginLoadingMode { DoNotLoadPlugins = 0, LoadPlugins = 1, LoadPluginsIfEnabled = 2 }
## Protected Member Functions
virtual void | setInstance (KInstance *instance)
| Set the instance (KInstance) for this part.
virtual void | setInstance (KInstance *instance, bool loadPlugins)
| Set the instance (KInstance) for this part.
void | loadPlugins (QObject *parent, KXMLGUIClient *parentGUIClient, KInstance *instance)
| Load the Plugins honoring the PluginLoadingMode.
void | setPluginLoadingMode (PluginLoadingMode loadingMode)
| For a KParts::Part: call this before setInstance.
## Friends
class | PartBasePrivate

## Detailed Description

Base class for all parts. Base class for all parts.

Definition at line 57 of file part.h.

## Constructor & Destructor Documentation

PartBase::PartBase | ( |  | ) |

| Constructor. Definition at line 82 of file part.cpp.

PartBase::~PartBase | ( |  | ) | `[virtual]`

| Destructor. Definition at line 88 of file part.cpp.

## Member Function Documentation

void PartBase::setPartObject | ( | QObject * | object | ) |

| Internal method. Called by KParts::Part to specify the parent object for plugin objects. Definition at line 93 of file part.cpp.

void PartBase::setInstance | ( | KInstance * | instance | ) | `[protected, virtual]`

| Set the instance (KInstance) for this part. Call this *first* in the inherited class constructor, because it loads the i18n catalogues. Reimplemented from KXMLGUIClient. Definition at line 103 of file part.cpp.

void PartBase::setInstance | ( | KInstance * | instance,
|  | bool | loadPlugins
| ) | `[protected, virtual]`

| Set the instance (KInstance) for this part. Call this *first* in the inherited class constructor, because it loads the i18n catalogues. Definition at line 108 of file part.cpp. References KStandardDirs::addResourceType(), KGlobal::dirs(), QString::fromLatin1(), KLocale::insertCatalogue(), KXMLGUIClient::instance(), KInstance::instanceName(), KStandardDirs::kde_default(), loadPlugins(), KGlobal::locale(), and KXMLGUIClient::setInstance().

void PartBase::loadPlugins | ( | QObject * | parent,
|  | KXMLGUIClient * | parentGUIClient,
|  | KInstance * | instance
| ) | `[protected]`

| Load the Plugins honoring the PluginLoadingMode. Definition at line 120 of file part.cpp. References KNotifyClient::instance(). Referenced by KParts::MainWindow::createGUI(), KParts::DockMainWindow::createGUI(), and setInstance().

void PartBase::setPluginLoadingMode | ( | PluginLoadingMode | loadingMode | ) | `[protected]`

| For a KParts::Part: call this before setInstance. For a KParts::MainWindow: call this before createGUI. Definition at line 126 of file part.cpp.

The documentation for this class was generated from the following files:

- part.h
- part.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:27:07 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001